Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Class THMLFilter

    java.lang.Object
      org.crosswire.jsword.book.filter.thml.THMLFilter

All Implemented Interfaces:
  Cloneable, Filter

    public class THMLFilter

extends Object
implements Filter

Filter to convert THML to OSIS format.

I used the THML ref page: http://www.ccel.org/ThML/ThML1.04.htm to work out what the tags meant. LATER(joe): check nesting on these THML elements

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private Exception` | `error`
`private String` | `errorMessage`
`private String` | `finalInput`
`private static Logger` | `log` The log stream

Constructor Summary
`THMLFilter()`

Method Summary
`private org.jdom.Element` | `cleanParse(Book book, Key key, String plain)`
`private org.jdom.Element` | `cleanTags(Book book, Key key, String plain)`
`private org.jdom.Element` | `cleanText(Book book, Key key, String plain)`
`Object` | `clone()` This needs to be declared here so that it is visible as a method on a derived Key.
`private org.jdom.Element` | `parse(Book book, Key key, String plain, String failMessage)`
`List` | `toOSIS(Book book, Key key, String plain)` Converter from plain (encoded) text to OSIS data

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorMessage

    private String errorMessage

### error

    private Exception error

### finalInput

    private String finalInput

### log

    private static final Logger log

  The log stream

Constructor Detail

### THMLFilter

    public THMLFilter()

Method Detail

### toOSIS

    public List toOSIS(Book book,
                       Key key,
                       String plain)
                throws FilterException

  Description copied from interface: `Filter`
  Converter from plain (encoded) text to OSIS data

  Specified by:
    `toOSIS` in interface `Filter`
    `key` - The key for the text
    `plain` - The encoded text
  Returns:
    a List of OSIS Elements
  Throws:
    `FilterException`

### clone

    public Object clone()

  Description copied from interface: `Filter`
  This needs to be declared here so that it is visible as a method on a derived Key.

  Specified by:
    `clone` in interface `Filter`
  Overrides:
    `clone` in class `Object`
  Returns:
    A complete copy of ourselves

### cleanParse

    private org.jdom.Element cleanParse(Book book,
                                        Key key,
                                        String plain)

### cleanText

    private org.jdom.Element cleanText(Book book,
                                       Key key,
                                       String plain)

### cleanTags

    private org.jdom.Element cleanTags(Book book,
                                       Key key,
                                       String plain)

### parse

    private org.jdom.Element parse(Book book,
                                   Key key,
                                   String plain,
                                   String failMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD